package com.kmall.api.service.mk;

import com.kmall.api.dao.mk.ApiMkStorePromMapper;
import com.kmall.api.entity.mk.MkStorePromVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.List;
import java.util.Map;

/**
 * 门店推广Service实现类
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-26 15:52:20
 */
@Service
public class ApiMkStorePromService {
    @Autowired
    private ApiMkStorePromMapper apiMkStorePromMapper;


    public MkStorePromVo queryObject(Integer promId) {
        MkStorePromVo MkStorePromVo = apiMkStorePromMapper.queryObject(promId);
        return MkStorePromVo;
    }

    public MkStorePromVo queryObjectByGoodsIdAndStoreId(Integer goodsId, Integer storeId) {
        MkStorePromVo MkStorePromVo = apiMkStorePromMapper.queryObjectByGoodsIdAndStoreId(goodsId, storeId);
        return MkStorePromVo;
    }

    public List<MkStorePromVo> queryList(Map<String, Object> map) {
        return apiMkStorePromMapper.queryList(map);
    }

    public int queryTotal(Map<String, Object> map) {
        return apiMkStorePromMapper.queryTotal(map);
    }
}
